### Method

# EDataServer Source ref_dbus_object

since: 3.6

#### Declaration [src]

    GDBusObject*
    e_source_ref_dbus_object (
      ESource* source
    )

#### Description [src]

Returns the `GDBusObject` that was passed to e_source_new().

The returned `GDBusObject` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.6

#### Return value

Type: `GDBusObject`

The `GDBusObject` for `source`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.